<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/producto_orden.php';
require '../../modelo/producto.php';
require '../usuario/decodeUsuario.php';
$response = array();
$productos_orden = array();

if (
    !isset($_POST['id_orden'])
) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$id_orden = $_POST['id_orden'];

$producto_orden = ProductoOrden::mdlGetProductoOrdenByIdOrden($id_orden);

if (!$producto_orden) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontró el producto de la orden';
    echo json_encode($response);
    return;
}

$id_orden = 0;

foreach($producto_orden as $key => $value) {
    
    if ($id_orden != $value['id_orden']) {
        $productos_orden[$key] = $value;
        $productos = Producto::mdlGetProductosByIdOrden($value['id_orden']);
        $productos_orden[$key]['productos'] = $productos;
    }

    $id_orden = $value['id_orden'];
}

$response['response'] = 'success';
$response['data'] = $productos_orden;
echo json_encode($response);